From 99da9ea54f73876129bb7a0eadfe09306d1ad8d7 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 10 Oct 2024 13:40:51 +0000
Subject: [PATCH] python3-pefile: upgrade 2023.2.7 -> 2024.8.26

---
 ...023.2.7.bb => python3-pefile_2024.8.26.bb} | 25 +++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)
 rename meta/recipes-devtools/python/{python3-pefile_2023.2.7.bb => python3-pefile_2024.8.26.bb} (46%)

diff --git a/meta/recipes-devtools/python/python3-pefile_2023.2.7.bb b/meta/recipes-devtools/python/python3-pefile_2024.8.26.bb
similarity index 46%
rename from meta/recipes-devtools/python/python3-pefile_2023.2.7.bb
rename to meta/recipes-devtools/python/python3-pefile_2024.8.26.bb
index e30b362323..6a84f3f59d 100644
--- a/meta/recipes-devtools/python/python3-pefile_2023.2.7.bb
+++ b/meta/recipes-devtools/python/python3-pefile_2024.8.26.bb
@@ -1,11 +1,32 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -1,6 +1,6 @@
+#  The MIT License (MIT)
+#  
+# -Copyright (c) 2004-2023 Ero Carrera
+# +Copyright (c) 2004-2024 Ero Carrera
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a copy
+#  of this software and associated documentation files (the "Software"), to deal
+# 
+#
+
 SUMMARY = "Python PE parsing module"
 DESCRIPTION = "A multi-platform Python module to parse and work with Portable Executable (PE) files."
 HOMEPAGE = "https://github.com/erocarrera/pefile"
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=38066667888b01d8118ff9cc23da1873"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=e34c75178086aca0a17551ffbacaca53"
 
 inherit setuptools3 ptest
-SRCREV = "1ab2807c4eec16041e791d7a6acc68cc23fd5266"
+SRCREV = "4b3b1e2e568a88d4f1897d694d684f23d9e270c4"
 SRC_URI = "git://github.com/erocarrera/pefile;branch=master;protocol=https \
            file://run-ptest"
 S = "${WORKDIR}/git"
-- 
2.44.1

